Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358190 - Guest hang when migrate from vhost=off to vhost=on
Summary: Guest hang when migrate from vhost=off to vhost=on
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jason wang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 09:28 UTC by weliao
Modified: 2016-08-01 02:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-01 02:51:15 UTC


Attachments (Terms of Use)

Description weliao 2016-07-20 09:28:35 UTC
Description of problem:
Do magrate from vhost=off to vhost=on in macvtap backend,Windows10 X86 guest hang.

Version-Release number of selected component (if applicable):
Host:
3.10.0-469.el7.x86_64
qemu-kvm-rhev-2.6.0-13.el7.x86_64
openvswitch-2.5.0-3.el7.x86_64
Guest:
Windows10 x86
NIC drive:
virtio-win-prewhql-122

How reproducible:
100%

Steps to Reproduce:
1.1.Boot a guest w/ vhost=off in the src host(macvtap backend).
/usr/libexec/qemu-kvm -name win10_x86 -M pc -cpu SandyBridge -m 4096 -realtime mlock=off -smp 4,maxcpus=6,cores=2,threads=1,sockets=2 -drive file=/mnt/win10_86.qcow2,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=off,fd=11 11<>/dev/tap11  -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:11:22:33:67,bus=pci.0,addr=0x3,disable-legacy=off,disable-modern=on,status=off -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x2 -spice port=5900,disable-ticketing, -monitor stdio  -boot menu=on  -qmp tcp:0:4444,server,nowait
2..Launch the listening mode guest w/ vhost=on in the dst host(macvtap backend).
/usr/libexec/qemu-kvm -name win10_x86 -M pc -cpu SandyBridge -m 4096 -realtime mlock=off -smp 4,maxcpus=6,cores=2,threads=1,sockets=2 -drive file=/mnt/win10_86.qcow2,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=on,fd=11 11<>/dev/tap9  -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:11:22:33:67,bus=pci.0,addr=0x3,disable-legacy=off,disable-modern=on,status=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x2 -spice port=5900,disable-ticketing, -monitor stdio  -boot menu=on  -qmp tcp:0:4444,server,nowait -incoming tcp:0:5800
3.Do migrate
(qemu) migrate -d tcp:10.66.8.254:5800    
(qemu) migrate_set_speed 100G

Actual results:
Guest hang. no response。

Expected results:
Guest work well.

Additional info:
also tested rhel7.3 guest, no this issue, when migrate from vhost=on to vhost=off, no this issue.

Comment 2 jason wang 2016-07-26 02:08:55 UTC
Is this a regression? If yes, could you pls do bisection? And Does it work if you keep vhost=off on both sides? Does it work if you are using tap instead of macvtap?

Comment 3 weliao 2016-08-01 02:51:15 UTC
QE retested following versions:
 qemu-kvm-rhev-2.6.0-17.el7.x86_64 and 
 3.10.0-480.el7.x86_64
 seems no this issue, maybe my test environment had problem, so will close this bug, sorry.


Note You need to log in before you can comment on or make changes to this bug.